Skip to main content
GET
/
api
/
research
/
v1
/
list-hackernews-items
ListHackernewsItems
curl --request GET \
  --url https://api.example.com/api/research/v1/list-hackernews-items
{
  "items": [
    {
      "title": "<string>",
      "id": 123,
      "url": "<string>",
      "score": 1,
      "commentCount": 123,
      "by": "<string>",
      "submittedAt": 123
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "totalCount": 123
  }
}

Query Parameters

page_size
integer<int32>

Maximum items per page (1-100).

cursor
string

Cursor for next page.

feed_type
string

Feed type: "top", "new", "best", "ask", "show". Defaults to "top".

Response

Successful response

ListHackernewsItemsResponse contains Hacker News items.

items
object[]
pagination
object

PaginationResponse contains pagination metadata returned alongside list results.